Subject: bug#60163: 29.0.60; Error in post-command-hook (winner-save-old-configurations): (wrong-type-argument frame-live-p #<dead frame code action 0x563ea51cbf70>)

From: 张云峰 <[email-masked]>
Date: Mon, 19 Dec 2022 21:32:08 +0800

Thanks for your quick reply.

Yes, I did, the author of lsp-bridge thinks that this bug belongs to emacs
itself.
What's confusing is that lsp-bridge
<https://github.com/manateelazycat/lsp-bridge>works very well in emacs28
and emacs29 without pgtk feature.
And I think that even if it is a bug in a third-party library, it should
not cause emacs to be unable to edit.

Eli Zaretskii <[email-masked]> 于2022年12月19日周一 20:58写道：

> > Cc: [email-masked]
> > Date: Mon, 19 Dec 2022 14:15:53 +0200
> > From: Eli Zaretskii <[email-masked]>
> >
> > > From: 张云峰 <[email-masked]>
> > > Date: Mon, 19 Dec 2022 11:46:10 +0800
> > >
> > > Sorry to reply you so late.
> > >
> > > Follow these steps can reproduce this bug:
> > > 1. compile emacs29 with option --with-pgtk
> > > 2. edit source code (e.g. rust code) in lsp-bridge-mode
> > > 3. execute `lsp-bridge-code-action` on a variable, you will see a
> popup menu, press `Enter ` or just `Ctrl-g`,
> > > then bug reproducted.
> > >
> > > NOTE: When I compile emacs29 without option --with-pgtk, this bug is
> gone, and everything is fine. so this
> > > bug may be relative to pgtk feature
> >
> > Po Lu and João, would you please try to look at this?  The combination
> > of required features to reproduce the problem is beyond my abilities.
>
> On second thought, perhaps this is a problem with lsp-mode?  Did you
> try to report this to the lsp-mode developers?
>